//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

/**
 * [PENDING: update the comments] AutoScrollPolicy.
 */

public final class AutoScrollPolicy {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/AutoScrollPolicy.java,v $ $revision$ $Date: 1998/11/02 15:54:27 $ Copyright 1998 INRIA.";

    private AutoScrollPolicy(String aName, int anEnum) {
	_name = aName;
	_enum = anEnum;
    }
    /**
     * [PENDING: update the comments] getEnum
     * @level advanced
     */
    public final int getEnum() {
	return _enum;
    }
    
    public final String toString() {
	return "AutoScroll<" + _name + ">";
    }

    private String _name;
    private int _enum;

    final static int NONE_ENUM = 0;
    final static int WITHIN_FRAME_ENUM = NONE_ENUM + 1;

    public final static AutoScrollPolicy NONE = new AutoScrollPolicy("None",NONE_ENUM);
    public final static AutoScrollPolicy WITHIN_FRAME = new AutoScrollPolicy("WithinFrame",WITHIN_FRAME_ENUM);
    
}
