//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

/**
 * [PENDING: update the comments] Constants.
 */

public final class Constants {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/Constants.java,v $ $revision$ $Date: 1998/11/02 15:54:28 $ Copyright 1998 INRIA.";

    private Constants() {
    }

    private final static String FIGUE_INTERNAL = "Figue";
    private final static String FIGUE_DEFAULT =  FIGUE_INTERNAL + "Default";
  
    public final static String DEFAULT_STYLE = FIGUE_DEFAULT + "Style";
    public final static String DEFAULT_COLOR = FIGUE_DEFAULT + "Color";
    public final static String DEFAULT_BACKGROUND = FIGUE_DEFAULT + "Background";
    public final static String DEFAULT_FONT = FIGUE_DEFAULT + "Font";
  
    private final static String FIGUE_LINK = FIGUE_INTERNAL + "Link";
    public final static String ACTIVE_LINK_FONT = FIGUE_LINK + "Active";
    public final static String ACTIVE_LINK_COLOR = FIGUE_LINK + "Active";
    public final static String SELECTED_LINK_COLOR = FIGUE_LINK + "Selected";
    public final static String VISITED_LINK_COLOR = FIGUE_LINK + "Visited";

    public final static String FIGUE_SYMBOL_FONT = "figuesymbol";
  
}
