//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.box;

import java.awt.AWTEvent;
import java.awt.Graphics;

/**
 * [PENDING: update the comments] LightweightInterface.
 */

public interface LightweightInterface extends Cloneable {
  
    public void setParent(LightweightComponentAdapter aGlyph);
    public void setLocation(int x,int y);
    public void setSize(int aWidth,int anHeight);
    public java.awt.Dimension getPreferredSize();
    public float getAlignmentX();
    public float getAlignmentY();
    public void dispatchEvent(AWTEvent anEvent);
    public void setFont(java.awt.Font aFont);
    public void setForeground(java.awt.Color aColor);
    public void setBackground(java.awt.Color aColor);
    public void update(Graphics aGraphicsContext);
    public void validate();
    public Object clone() throws CloneNotSupportedException;

}
