//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;

public interface ActionInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/ActionInterface.java,v $ $revision$ $Date: 1998/11/02 15:54:58 $ Copyright 1998 INRIA.";
    
    public void execute(GlyphInterface aGlyph,
			DecalageInterface aDecalage,
			AlternativeInterface anAlternative)
	throws TooSmallPageException, StopFormattingSonsException;
    
    public boolean isComplient(GlyphInterface aGlyph);
    
    public boolean isBetterThan(ActionInterface anAction);
    
    public boolean isBetterThanNewLine(ActionNewLine anActionNewLine);
    public boolean isBetterThanNone(ActionNone anActionNone);
    public boolean isBetterThanShrink(ActionShrink anActionShrink);
    public boolean isBetterThanShrinkSon(ActionShrinkSon anActionShrinkSon);

}
