//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.geometry;

/**
 * [PENDING: update the comments] PositionToBrother.
 * @level advanced
 */

public final class PositionToBrother extends Position {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/geometry/PositionToBrother.java,v $ $revision$ $Date: 1998/11/02 15:55:10 $ Copyright 1998 INRIA.";
  
    public PositionToBrother(int dx, int dy) { 
	super(dx,dy); 
    }
    
    public PositionToBrother() {
	super(); 
    }
    
    public PositionToBrother(Position aPosition) { 
	super(aPosition); 
    }
    
    public final void movePointToPosition(Point aPoint) {
	aPoint.translate(getDx(),getDy());
    }
    
    public final boolean isRelativeToFather() { 
	return false; 
    }
    
}

