//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.internal;

import figue.path.PathInterface;

public interface GlyphViewerInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/internal/GlyphViewerInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:14 $ Copyright 1998 INRIA.";
    
    public void updateSelectionAndRedisplay(PathInterface aPath);
    public void updateAndRedisplay(PathInterface aPath);
    
}

