//*****************************************************************************
//   Copyright (c) 1998 Bernard Sufrin, Oxford.
//   http://www.comlab.ox.ac.uk/oucl/people/bernard.sufrin.html
//*****************************************************************************

package figue.jape;

import  java.awt.Color;
import  figue.jape.Font;

/**
        A TypeFace is a source from which Fonts may be cut.  
*/
public interface TypeFace {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/jape/TypeFace.java,v $ $revision$ $Date: 1998/11/02 15:55:25 $ Copyright 1998, Bernard Sufrin, Oxford.";

    /** Cut a new Font from this typeface */
    public Font getFont(Color fg, Color bg);

    /** Cut a new Font from this typeface */
    public Font getFont(ColorScheme cs);
    
    /** Cut a new Font from this typeface with Color model
	derived from a suitable default container's background and
	foreground. 
    */
    public Font getFont();
    
}





