//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.resource;

/**
 * [PENDING: update the comments] BasicColor.
 */

public final class BasicColor {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/resource/BasicColor.java,v $ $revision$ $Date: 1998/11/02 15:55:35 $ Copyright 1998 INRIA.";

    final static int ENUM_BLACK = 0;
    final static int ENUM_WHITE = ENUM_BLACK + 1;
    final static int ENUM_RED = ENUM_WHITE + 1;
    final static int ENUM_GREEN = ENUM_RED + 1;
    final static int ENUM_BLUE = ENUM_GREEN + 1;
    final static int ENUM_GRAY = ENUM_BLUE + 1;
    final static int ENUM_LIGHT_GRAY = ENUM_GRAY + 1;
    final static int ENUM_DARK_GRAY = ENUM_LIGHT_GRAY + 1;
    final static int ENUM_CYAN = ENUM_DARK_GRAY + 1;
    final static int ENUM_MAGENTA = ENUM_CYAN + 1;
    final static int ENUM_ORANGE = ENUM_MAGENTA + 1;
    final static int ENUM_PINK = ENUM_ORANGE + 1;
    final static int ENUM_YELLOW = ENUM_PINK + 1;
  
    public final static BasicColor BLACK = new BasicColor("Black",ENUM_BLACK);
    public final static BasicColor WHITE = new BasicColor("White",ENUM_WHITE);
    public final static BasicColor RED = new BasicColor("Red",ENUM_RED);
    public final static BasicColor GREEN = new BasicColor("Green",ENUM_GREEN);
    public final static BasicColor BLUE = new BasicColor("Blue",ENUM_BLUE);
    public final static BasicColor GRAY = new BasicColor("Gray",ENUM_GRAY);
    public final static BasicColor LIGHT_GRAY = new BasicColor("Light gray",ENUM_LIGHT_GRAY);
    public final static BasicColor DARK_GRAY = new BasicColor("Dark gray",ENUM_DARK_GRAY);
    public final static BasicColor CYAN = new BasicColor("Cyan",ENUM_CYAN);
    public final static BasicColor MAGENTA = new BasicColor("Magenta",ENUM_MAGENTA);
    public final static BasicColor ORANGE = new BasicColor("Orange",ENUM_ORANGE);
    public final static BasicColor PINK = new BasicColor("Pink",ENUM_PINK);
    public final static BasicColor YELLOW = new BasicColor("Yellow",ENUM_YELLOW);
  
    private BasicColor(String aName, int anEnum) {
	_name = aName;
	_enum = anEnum;
    }

    final int getEnum() {
	return _enum;
    }
  
    public final String toString() { 
	StringBuffer theResult = new StringBuffer("BasicColor<");
	theResult.append(_name).append(">");
	return theResult.toString();
    }
  
    private String _name;
    private int _enum;

}
