//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.selection; 

import figue.path.SelectionPathInterface;
import figue.geometry.Transformer;
import figue.box.GlyphInterface;
import figue.internal.ContextInterface;
import figue.internal.ContextMementoInterface;

/**
 * [PENDING: update the comments] HighlighterInterface.
 */

public interface HighlighterInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/selection/HighlighterInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:44 $ Copyright 1998 INRIA.";

    public ContextMementoInterface draw2D(GlyphInterface aGlyph,
					  ContextInterface aContext,
					  Transformer aTransformer,
					  SelectionPathInterface aSelectionPath);
    public ContextMementoInterface draw2DClean(GlyphInterface aGlyph,
					       ContextInterface aContext,
					       Transformer aTransformer,
					       SelectionPathInterface aSelectionPath);
    
}
