//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

import figue.resource.FontMetricInterface;
import figue.internal.ContextInterface;

/**
 * [PENDING: update the comments] MeasureInterface.
 */

public interface MeasureInterface extends Cloneable {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/MeasureInterface.java,v $ $revision$ $Date: 1998/11/02 15:54:33 $ Copyright 1998 INRIA.";

    public Object clone() throws CloneNotSupportedException;

    public int getValueInPixel();
    public int getValue();
    public void setValue(int aValue);
  
    public UnitInterface getUnit();
    public void setUnit(UnitInterface anUnit);
    /**
     * [PENDING: update the comments] setFontMetric
     * @level advanced
     */
    public void setFontMetric(ContextInterface aContext,
			      FontMetricInterface aFontMetric);
  
    public void dispose();
  
}

