//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.box;

import figue.error.Error;

/**
 * [PENDING: update the comments] GlyphNotCompositeError.
 */

public class GlyphNotCompositeError extends Error {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/box/GlyphNotCompositeError.java,v $ $revision$ $Date: 1998/11/02 15:54:39 $ Copyright 1998 INRIA.";
    
    protected GlyphNotCompositeError(GlyphInterface aGlyph) { 
	super();
	_glyph = aGlyph;
    }
    
    public final GlyphInterface getGlyph() {
	return _glyph;
    }
    
    private GlyphInterface _glyph;
    
}
