package figue.custom;

import figue.*;
import figue.resource.FontFamily;

public final class Microsoft extends ConfigurationInterface {

    public Microsoft() {
	;
    }

    public final String toString() {
	return "Configuration<Microsoft>";
    }
    
    public final java.awt.Font newAwtFont(FontFamily aFamily,
					  int aStyle,
					  int aPointSize) {
	if ( aFamily == FontFamily.SYMBOL ) {
	    return new com.ms.awt.FontX(aFamily.getFontSystemNameForNT(),
					aStyle,
					aPointSize);
	}
	else {
	    return new java.awt.Font(aFamily.getFamilyName(),aStyle,aPointSize);
	}
    }

}

