//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.event;

import figue.FacadeInterface;
import figue.path.PathInterface;
import figue.box.GlyphInterface;

import java.awt.event.MouseEvent;

/**
 * [PENDING: update the comments] PointingEvent.
 */

public final class PointingEvent extends Event {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/event/PointingEvent.java,v $ $revision$ $Date: 1998/11/02 15:54:56 $ Copyright 1998 INRIA.";
    
    public PointingEvent(FacadeInterface aFacade, PathInterface aPath, GlyphInterface aGlyph, MouseEvent anEvent) {
	super(aFacade);
	_path = aPath;
	_glyph = aGlyph;
	_awtEvent = anEvent;
    }
    
    public final GlyphInterface getGlyph() {
	return _glyph;
    }
    
    public final PathInterface getPath() {
	return _path;
    }
    
    public final MouseEvent getAwtEvent() {
	return _awtEvent;
    }
    
    private GlyphInterface _glyph;
    private PathInterface _path;
    private MouseEvent _awtEvent;
    
}
