//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;

public interface AlternativeInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/AlternativeInterface.java,v $ $revision$ $Date: 1998/11/02 15:54:59 $ Copyright 1998 INRIA.";
  
    public void execute() 
	throws TooSmallPageException, StopFormattingSonsException;
    
    public void tryBetter(ActionInterface anAction,
			  GlyphInterface aGlyph,
			  DecalageInterface aDecalage);
    
    public void setAction(ActionInterface anAction);
    
    public void preComputeActionCostNewLine(ActionNewLine anAction);
    
    public void dispose();
    
}
