//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.internal;

import figue.resource.FontInterface;
import figue.resource.ColorInterface;

public interface ContextMementoInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/internal/ContextMementoInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:13 $ Copyright 1998 INRIA.";

    public void set(FontInterface aFont,
		    ColorInterface aColor, 
		    ColorInterface aBackground,
		    int aColorPriority,
		    int aBackgroundPriority);
    public FontInterface getFont();
    public ColorInterface getColor();
    public void setColor(ColorInterface aColor);
    public ColorInterface getBackground();
    public void setBackground(ColorInterface aBackground);
    public int getColorPriority();
    public void setColorPriority(int aPriority);
    public int getBackgroundPriority();
    public void setBackgroundPriority(int aPriority);
    public boolean isFull();

}
