//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.path;

import figue.internal.PathVisitorInterface;
import figue.box.GlyphInterface;
import figue.io.ExternalizableInterface;

/**
 * [PENDING: update the comments] PathOperationInterface.
 */

public interface PathOperationInterface extends Cloneable, ExternalizableInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/path/PathOperationInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:31 $ Copyright 1998 INRIA.";
    
    public Object clone();
    /**
     * [PENDING: update the comments] accept
     * @level advanced
     */
    public void accept(PathVisitorInterface aVisitor,
				   GlyphInterface aGlyph,
				   SelectionPathInterface aSelectionPath);
    /**
     * [PENDING: update the comments] accept
     * @level advanced
     */
    public void accept(PathVisitorInterface aVisitor,
		       GlyphInterface aGlyph);
  
}

