//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.resource;

/**
 * [PENDING: update the comments] ColorInitializer.
 * @level advanced
 */

public final class ColorInitializer extends ResourceInitializer implements ColorInitializerInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/resource/ColorInitializer.java,v $ $revision$ $Date: 1998/11/02 15:55:35 $ Copyright 1998 INRIA.";
  
    public ColorInitializer(ColorOwnerInterface anOwner) {
	super();
	_owner = anOwner;
    }

    public final ResourceOwnerInterface getOwner() {
	return _owner;
    }
  
    public final ColorInterface initResource(String aName) {
	ColorInterface theColor = newColor(_owner,aName);
	_owner.setColor(theColor);
	return theColor;
    }
  
    public final String getName() {
	return "Color";
    }
  
    private ColorOwnerInterface _owner;
  
}
